#
# spec file for package yast2-debugger (Version 2.9.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gpp libgpp libxcrypt libxcrypt-devel qt3-devel-packages yast2-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs autoconf automake binutils curl dejagnu doxygen expat expect fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtool libxcrypt-devel liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext popt-devel qt3 qt3-devel rpm tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-devtools yast2-packagemanager yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite

Name:         yast2-debugger
Version:      2.9.2
Release:      20.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-debugger-2.9.2.tar.bz2
prefix:		/usr
Provides:     ycpconsole
Obsoletes:    ycpconsole
Summary:      YaST2 - Debugger for YCP scripts

%description
This package contains the Qt front-end for the in YaST2 integrated
debugger.



Authors:
--------
    Arvin Schnell <arvin@suse.de>

%prep
%setup -n yast2-debugger-2.9.2

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --with-qt-dir=/usr/lib/qt3 --with-qt-libdir=/usr/lib/qt3/%{_lib} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/bin/ycpconsole
/usr/bin/ycpdebugger
%doc %{prefix}/share/doc/packages/yast2-debugger

%changelog -n yast2-debugger
* Fri Apr 02 2004 - arvin@suse.de
- finally changed license to GPL for good
* Sat Feb 28 2004 - kkaempf@suse.de
- use counted YCode pointer
* Tue Feb 03 2004 - visnov@suse.cz
- Fix compilation for NI
* Mon May 26 2003 - arvin@suse.de
- fixed file list for rpm v4
* Wed Aug 21 2002 - ro@suse.de
- fixed neededforbuild (use yast2-devel-packages)
* Mon Jul 01 2002 - arvin@suse.de
- fixed linking on x86-64
* Mon Jul 01 2002 - arvin@suse.de
- added program ycpconsole
- fixed neededforbuild
* Fri Apr 26 2002 - arvin@suse.de
- fixed linking on x86-64
* Mon Feb 04 2002 - arvin@suse.de
- fixed font for qt3
* Tue Jan 08 2002 - arvin@suse.de
- use multi threaded qt library
* Fri Dec 14 2001 - arvin@suse.de
- ported to qt3
* Fri Nov 09 2001 - ro@suse.de
- use qt-devel-packages in neededforbuild
* Tue Oct 16 2001 - arvin@suse.de
- migrated to yast2-devtools
* Sat Jul 07 2001 - arvin@suse.de
- neededforbuild += freetype2
* Fri Jun 22 2001 - arvin@suse.de
- adapt to new automake/autoconf
* Fri Apr 20 2001 - arvin@suse.de
- Better toolbar.
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Wed Mar 14 2001 - arvin@suse.de
- Handle tabs in source view correctly.
* Wed Mar 14 2001 - arvin@suse.de
- Two ycp expressions display: one for variables, one for tokens.
* Thu Mar 08 2001 - arvin@suse.de
- Colors in ycp expressions display.
* Wed Mar 07 2001 - arvin@suse.de
- Support for breakpoints.
- Implemented dialog to display ycp expressions in human
  readable form.
* Mon Mar 05 2001 - arvin@suse.de
- Initial version of the ycp debugger frontend.
